“下载” 标签页面:

  • 安装aria2及使用yaaw配置WebGUI界面

    现在一般的linux发行版的gcc都不太新,而aria2 1.18之后需要gcc 4.8,所以只能装之前的版本咯。反正下载功能没有区别,都支持http、ftp、bt、magnet磁力链接等协议。

    wget http://jaist.dl.sourceforge.net/project/aria2/stable/aria2-1.17.1/aria2-1.17.1.tar.gz
    tar zxf aria2-1.17.1.tar.gz
    cd aria2-1.17.1
    ./configure --prefix=/usr/local/blog.creke.net/aria2 --enable-static=true --enable-shared=true --enable-libaria2 --with-tcmalloc --with-sqlite3=/usr/local
    #注:configure输出最主要看Xml-RPC是yes就行
    make
    make install

    然后摸一下session文件:

    touch /home/blog.creke.net/work/aria2/aria2.session

    配置(/home/blog.creke.net/work/aria2/aria2.conf):

    #Basic
    dir=/home/blog.creke.net/work/aria2/download
    continue=true

    #HTTP
    user-agent=Mozilla/5.0 (Windows NT 5.1; rv:16.0) Gecko/20100101 Firefox/16.0

    #BT
    enable-dht=true
    seed-time=0
    dht-listen-port=6882
    dht-entry-point=loki.uplinklabs.net:33445

    #network
    max-overall-download-limit=5M
    max-overall-upload-limit=1M
    max-upload-limit=512K

    #RPC
    enable-rpc=true
    #rpc-listen-all=true
    rpc-allow-origin-all=true
    rpc-listen-port=35002
    #rpc-user=none
    #rpc-passwd=none

    #Advanced

    配置nginx代理aria2的jsonrpc:

    location /aria2/jsonrpc {
    proxy_pass http://localhost:35002/jsonrpc;
    proxy_redirect off;
    proxy_set_header        X-Real-IP       $remote_addr;
    proxy_set_header        X-Forwarded-For $proxy_add_x_forwarded_for;
    }

    安装web gui:

    wget https://github.com/binux/yaaw/archive/master.zip
    mv master yaaw.zip
    unzip yaaw.zip
    mv yaaw-master/ yaaw/

    值得一提的是,yaaw不支持用户名密码,所以用nginx进行反向代理。修改
    打开yaaw的js目录中aria2.js和yaaw.js,搜寻端口号,改成自己定义的端口号和路径。

    附:init.d适用的自动启动脚本如下:

    #! /bin/sh
    # chkconfig: 2345 55 25
    # Description: Startup script for nginx webserver on Debian. Place in /etc/init.d and
    # run 'update-rc.d -f nginx defaults', or use the appropriate command on your
    # distro. For CentOS/Redhat run: 'chkconfig --add aria2'

    ### BEGIN INIT INFO
    # Provides:          aria2c
    # Required-Start:    $all
    # Required-Stop:     $all
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: starts aria2c
    # Description:       starts aria2c as a service
    ### END INIT INFO

    # Author:   Creke
    # website:  http://blog.creke.net/

    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
    DESC="aria2c daemon"
    NAME=aria2c
    DAEMON=/usr/local/blog.creke.net/aria2/bin/$NAME
    CONFPATH=/home/blog.creke.net/work/aria2/aria2.conf
    SESSION=/home/blog.creke.net/work/aria2/aria2.session
    #PIDFILE=/usr/local/haproxy/etc/$NAME.pid
    SCRIPTNAME=/etc/init.d/$NAME
    USER="blog.creke.net"

    set -e
    [ -x "$DAEMON" ] || exit 0

    do_start() {
    su - $USER -c "$DAEMON --conf-path=$CONFPATH -D --input-file=$SESSION --save-session=$SESSION" || echo -n "aria2c already running"
    }

    do_stop() {
    killall -INT $NAME || echo -n "aria2c not running"
    }

    do_reload() {
    kill -HUP $NAME || echo -n "aria2c can't reload"
    }

    case "$1" in
    start)
    echo -n "Starting $DESC: $NAME"
    do_start
    echo "."
    ;;
    stop)
    echo -n "Stopping $DESC: $NAME"
    do_stop
    echo "."
    ;;
    reload|graceful)
    echo -n "Reloading $DESC configuration..."
    do_reload
    echo "."
    ;;
    restart)
    echo -n "Restarting $DESC: $NAME"
    do_stop
    do_start
    echo "."
    ;;
    *)
    echo "Usage: $SCRIPTNAME {start|stop|reload|restart}" >&2
    exit 3
    ;;
    esac

    exit 0

     

    2016.08.30 / 暂无评论 / 1,415 次点击 / 分类: 所谓技术

  • php5.2配置使用memcached(附php_memcache.dll官方下载)

    当前PHP都已经到5.4了,但是我还是5.2,没办法,已经从以前的更新强迫症到现在的更新拖延症了。所以说一下PHP5.2的memcached怎么配置使用。

    这里下载最新的pecl包,即使版本不一样,只需要保证是5.2的即可,如pecl-5.2.6-Win32.zip。然后把压缩包里的php_memcache.dll解压缩到PHP安装目录下的ext文件夹中。

    打开php.ini,在extension列表后加上:

    extension=php_memcache.dll

    打开memcached,使用下面脚本测试memcached和PHP联合是否成功:

    <?php
    	$mem = new Memcache;
    	$mem->connect('localhost', 11211) or die ("Could not connect");
    	
    	$mem->set('test', 'testMem');
    
    	echo $mem->get('test');
    	
    ?>

    OK,就是这样。

    2012.06.26 / 1 条评论 / 3,100 次点击 / 分类: 所谓技术

  • 使用plowshare命令行下自动下载国内外网盘资源

    下载plowshare:

    git clone https://code.google.com/p/plowshare/

    安装:

    PREFIX=/usr/local/plowshare make install

    执行链接:

    ln -s /usr/local/plowshare/bin/plowdown /usr/bin/plowdown
    ln -s /usr/local/plowshare/bin/plowup /usr/bin/plowup
    ln -s /usr/local/plowshare/bin/plowlist /usr/bin/plowlist
    ln -s /usr/local/plowshare/bin/plowdel /usr/bin/plowdel

    下载国内外网盘的东西,如网盘下载链接为“http://xxx/xxx”只需执行一条命令

    plowdown http://xxx/xxx

    如果plowshare出现“Can't locate HTML/Entities.pm in @INC”,执行以下命令:

    cpan

    (如果是第一次使用cpan,根据自己情况配置好)

    当看到:

    cpan>

    输入:

    install HTML::Entities

    这样就会修复上述问题啦!

    2011.11.29 / 暂无评论 / 1,022 次点击 / 分类: 所谓技术

  • Firefox插件“DownThemAll!”同时使用有线和无线网络进行下载技巧

    对于常用的Firefox插件“DownThemAll!”从单一源使用多个网卡同时下载有个技巧,这样可以同时使用两种网络的带宽,使下载速度翻倍!

    首先,需要配置混合网络环境(有线+无线)中同时使用多个网卡

    然后,启动“DownThemAll!”进行下载,在任务管理器看看这时数据流向那个网卡。

    接着,停止“DownThemAll!”下载,把没有数据流的网卡跃点数减一。

    重新开始“DownThemAll!”下载,这时可以看到,刚刚没有数据流的网卡这时有了数据流,而另外一个网卡这时则没有流量。

    把刚刚更改的跃点数加一,使得两个网卡的出口IP的跃点数像第一步之后一样,是相同的。

    最后,在“DownThemAll!”对应的下载任务的中,选择增加下载块数。

    这时,旧的数据连接在旧网卡不中断,新的数据连接走新网卡,实现同时使用多个网络,翻倍下载速度。

    2011.07.17 / 暂无评论 / 1,067 次点击 / 分类: 所谓技术

  • 从官网直接下载Symantec企业版产品的简单教程

    刚才看到hzz123说怎么弄法?我想想还是发出来吧。自从Symantec企业版不能再官方直接下载后,我就自己摸索出了这个方法,但那时候有点顾虑,现在发出来,人人都能从官网直接下载了。

    先打开下面的地址:

    https://www4.symantec.com/Vrt/offer?a_id=48182

    点击 DOWNLOAD NOW

    然后出现这个页面,点 I AGREE

    在 EMAIL ADDRESS 这栏填写好你的邮箱,然后在 Password 自己想个密码填进去,Re-enter Password 边上再填一次密码,然后按 CREATE ACCOUNT

    注意,有红色星号的一定要填满,该填什么。。。自己乱写写就行了 ,然后再点击 SUBMIT 提交。

    同样是在有星号的栏目填满,按 CONTINUE  继续。

    当看到这个画面,说明账号已经申请成功。

    然后。。。以后每次要下载Symantec企业版,就用https://www4.symantec.com/Vrt/offer?a_id=48182这个地址,不同的是把下面图中的注册账号这个步骤改掉,只要在 Existing users 下填入你已经申请到的邮箱和密码,按“LOGIN”然后就能直接复制Symantec企业版官方链接直接下载了。

    正在下载了。。。

    还有一点要说明的是,这个方法按照官方来讲,应该是一个SEP试用版下载需要申请的账号,但是登陆后能下载SAV  SCS SEP等等,几乎是所有企业版软件。
    缺点就是只能在知道下载链接的情况下(比如:http://esdownload.symantec.com/akdlm/CD/MTV/Symantec_Endpoint_Protection_Small_Business_Edition_12.0.1_AllWin_CS.zip)登陆这个账号后才能下载。

    要真正拥有企业账号的人才能得到所有的下载链接,当然一般人都是没有的,而且也不会被公布出来。

    转自http://bbs.kafan.cn/viewthread.php?tid=510223,感谢chengthjw童鞋

    2010.08.10 / 暂无评论 / 3,615 次点击 / 分类: 借此鉴彼

  • 以后尽量下载正版合法授权MP3

    是的,我先声明一个前提,尽量。因为各种原因,我们不能完全遵守版权规定,这是无须质疑的。而且,我向来倾向于CopyLeft。在某些情况下,我们是不屑于遵守版权规定的。这是丑话说在前头。
    然而,当版权和免费可以鱼与熊掌兼得时,我们是不是应该考虑一下。比如,但我们得知可以下载合法授权的MP3时。
    下面简单介绍一下。
    1.Google。最近Google推出了正版MP3服务,只要搜索歌名,如果Google有这首歌的正版MP3,就会在第一条结果给出下载链接。音质为192K。
    2.巨鲸音乐网。Top100.cn。Google的MP3下载合作伙伴。同时也和各唱片公司合作,保证MP3是正版的。
    3.分贝网。Fenbei.com。和一些唱片公司合作,部分歌曲有正版授权。

    2008.11.02 / 2 条评论 / 701 次点击 / 分类: 随心随感

  • 全球BT下载网站排名

    1. Mininova.org
    2. ThePirateBay.org
    3. isoHunt.com
    4. Torrentz.com
    第一名的Mininova每天独立IP访问量在200万以上,第二名The Pirate Bay有150万,其他两个网站都不到100万。
    根据Google同时提供的地区数据,The Pirate Bay在美国的受欢迎程度,超过Mininova,尤其在瑞典遥遥领先。Torrentz则是在印度很流行,而isoHunt在日本的使用者很多。
    与它们相比,别的BT下载网站访问量就非常小了。
    5. BTjunkie.org
    6. TorrentReactor.net
    7. TorrentPortal.com
    很奇怪,著名的demonoid,文章中居然没有提到,我将它补上。
    8. demonoid.com
    另外,数据表明,BT下载在过去一年中发展非常快,参与的人数在12个月里就翻了一倍。

    2008.07.19 / 暂无评论 / 1,156 次点击 / 分类: 借此鉴彼

  • 脱兔客服竟支持用户下载非法电影(图)

    脱兔客服竟支持用户下载非法电影(图)
    就在我无聊随便看看最近几个声称跨协议的下载工具时,到了脱兔的论坛,随便看一下帖子,居然发现如下内容:
    以为用户问怎么用脱兔搜女同性恋的片子,看来这个用户有点“非主流”癖好啊。而另这时某位脱兔客服可耐不住性子了,或许是酒逢知己千杯少吧,但有碍于自己是客服身份,故也没有传授自己的“独门秘籍”,不够还是暧昧地抛下一句“自己去找吧!”。
    从客服的一句话,我们知道两点:1.脱兔默认为用户提供非法电影下载服务 2.脱兔用户中好些部分(应该不占少数)用脱兔目的是下载非法影片
    对呀,什么跨协议,那是噱头而已,真正跨协议的效果有多好?没多好。真正吸引用户的,那是资源,而对于这种二三线软件而言,吸引用户的资源只有色情非法资源。当然官方不会明摆着说“我们这里有贼多贼多的色情电影下载”,但它会暗示你这里的此类资源不少,速度不小。

    2008.02.13 / 暂无评论 / 769 次点击 / 分类: 梦溪笔记

  • 仙剑情缘

    仙剑情缘

    image

    脚本写了2小时多一点
    关键是脚本命令不太熟悉,经常翻命令手册……
    这个只是alpha版(连BETA版都不到),基本没什么剧情,因为没有人设,哈哈。
    背景音乐很好听,昨天在快班上听着在MP3上的这首歌,很有感觉。
    于是今天就做了这个游戏。
    NS学得不久,才几天,技术不算高超。但还是尽力用上了我懂的技术,尽力做到最好。

    image

    这是下载地址:
    http://ishare.iask.sina.com.cn/cgi-bin/fileid.cgi?fileid=2152829

    还有另外一个:
    http://rapidshare.com/files/51564319/NS4a1.rar.html

    2007.08.27 / 暂无评论 / 462 次点击 / 分类: 游戏人生

  • 原声大碟 -《泡泡堂音乐集&泡泡堂音效集》[MP3]&[WAV.WMA]下载

    原声大碟 -《泡泡堂音乐集&泡泡堂音效集》[MP3]&[WAV.WMA]下载
    【中文名称】:泡泡堂音乐集&泡泡堂音效集
    【别名】:爆爆王音乐集&爆爆王音效集,疯狂阿给音乐集&疯狂阿给音效集,弹水阿给音乐集&弹水阿给音效集
    【版本】:[MP3]&[WAV.WMA]
    【发行时间】:2006年
    【专辑歌手】:原声大碟
    【地区】:大陆,台湾,韩国
    【语言】:普通话
    【简介】:

    http://img.verycd.com/posts/0607/post-452299-1153287380.jpg

    【专辑介绍】:
    韩国人气游戏泡泡堂的原声音乐。
    泡泡堂不仅玩法新颖,而且音乐动听,所以受到很多网游玩家喜爱。
    这次为大家带来了泡泡堂的游戏音乐原声及音效。
    此版本为直接提取版,非采用录音软件录制。即从游戏文件中直接提取数据,各种效果与在游戏中听到的一模一样。实在是泡泡堂的FANS不可缺少的东西!
    提取的游戏版本为“泡泡玫瑰版”。

    由于音乐较短,且本来游戏所采用的背景音乐音质多数未达到128Kbp/s,所以未加入mp3共享计划。

    【相关资料】:
    泡泡堂简介:
      遥远的哈巴森林里有一个村落,善良的村民天生被赋予一种神奇的本领:制造神奇水泡。他们利用水泡来打猎或是在矿洞中采集宝石,以此来维持生计。村子里的孩子们也从小以玩水泡为乐,并且梦想着长大后成为出色的猎手和矿工。
    但是有一天,灾难降临在这个和平的村子,海盗船长和他的手下们夺走了宝石,还把大人们全都关在了一个很远的地方。
    被大人们藏起来的孩子们幸免于难。他们决心要利用他们的神奇水泡,拯救他们的亲人并夺回被抢的宝石…
    【专辑曲目】:

    泡泡堂音乐集:
    1.泡泡堂主题曲
    2.泡泡堂主题曲(卡拉OK)
    3.圣诞合集
    4.背景音乐1
    5.背景音乐2
    6.背景音乐3
    7.开场音乐
    8.地图音乐-坦克营
    9.地图音乐-宝藏
    10.地图音乐-工厂
    11.地图音乐-森林
    12.地图音乐-沙漠
    13.地图音乐-海盗船
    14.地图音乐-赛车
    15.地图音乐-赛车.快节奏
    16.地图音乐-金银岛
    17.地图音乐-金银岛2
    18.地图音乐-地牢
    19.地图音乐-圣诞
    20.地图音乐-圣诞2
    21.地图音乐-圣诞3
    22.地图音乐-圣诞3
    23.地图音乐-墓地
    24.地图音乐-矿山.大海.赛车

    泡泡堂音效集:
    泡泡堂所有音效

    下载地址:需要安装emule,从ed2k://到|/(包括二者)全部内容即为连接
    泡泡堂音乐集
    ed2k://|file|%E5%8E%9F%E5%A3%B0%E5%A4%A7%E7%A2%9F.-.%5B%E6%B3%A1%E6%B3%A1%E5%A0%82%E9%9F%B3%E6%95%88%E9%9B%86%5D.%E4%B8%93%E8%BE%91.%28WAV.WMA%29.rar|3977274|77E75F5242AE36932859999C36953849|h=3YY3I5NBPLXOBYCRCSSMDVQAPHLAJWS2|/
    泡泡堂音效集
    ed2k://|file|%E5%8E%9F%E5%A3%B0%E5%A4%A7%E7%A2%9F.-.%5B%E6%B3%A1%E6%B3%A1%E5%A0%82%E9%9F%B3%E4%B9%90%E9%9B%86%5D.%E4%B8%93%E8%BE%91.%28mp3%29.rar|9474756|C5516C3C60FD6D855BC896F1FFC63309|h=UZQDHIYAY4VTP57NOAFE6YKOAEMNVX6Y|/

    2006.07.19 / 暂无评论 / 1,739 次点击 / 分类: 游戏人生